{% extends 'base.html' %}
{% block extra_head %}
    <link rel="stylesheet" type="text/css" href="{{ url_for('styles.site_css') }}">
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700" rel="stylesheet">
    <link href="{{ url_for('static', filename='noto-sans-symbols2.css') }}" rel="stylesheet">
    <link rel="next"
          href="{{ url_for('view.index', _external=True, now=None, client=request.view_args.get("client", None), slide_id=session.get('rotate_slide', -1)) }}">
    <link rel="index" href="{{ url_for('view.index', _external=True, now=None) }}">
    {% for key in meta %}
        <meta property="signage:{{ key }}" id="signage-{{ key }}" content="{{ meta[key] }}">
    {% endfor %}
    {% include "transitions.html" %}
{% endblock %}
{% block content %}
    {%- for frame in g.transitions %}
        <section class="slide maybe-fade" {{ frame|xmlattr }}>
            {{- content }}
        </section>
    {%- endfor -%}
    {% block css_loader %}
        <script type="text/javascript">
          var css = (
            {%- for css in g.css.values() -%}
              {% if not loop.first %}+{% endif -%}
              {{ css | default('') | tojson | safe }}
            {%- endfor -%}
          ).replace(/__SIZE__/g, window.innerWidth + 'x' + window.innerHeight);
          var head = document.head || document.getElementsByTagName('head')[0];
          var style = document.createElement('style');
          style.type = 'text/css';
          style.appendChild(document.createTextNode(css));
          head.appendChild(style);
        </script>
    {% endblock %}
    <a href="{{ url_for('view.index', _external=True, now=None, slide_id=session.get('rotate_slide', -1)) }}"
       style="display: none">Next</a>
{% endblock content %}
